import { ElementRef, Renderer2, OnInit, OnDestroy } from '@angular/core';
import { ScrollingTabsComponent } from './scrolling-tabs.component';
export declare class ScrollingTabDirective implements OnInit, OnDestroy {
    private tabs;
    private elementRef;
    private renderer;
    id: string;
    title: string;
    active: boolean;
    constructor(tabs: ScrollingTabsComponent, elementRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getTabClasses(): {
        'nav-link': boolean;
        active: boolean;
    };
}
