(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('ngc-scrolling-tabs', ['exports', '@angular/core', '@angular/common'], factory) :
    (global = global || self, factory(global['ngc-scrolling-tabs'] = {}, global.ng.core, global.ng.common));
}(this, (function (exports, core, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/scrolling-tabs.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ScrollingTabsComponent = /** @class */ (function () {
        function ScrollingTabsComponent(changeDetector) {
            this.changeDetector = changeDetector;
            this.firstTabActive = true;
            this.scrollToActive = true;
            this.selectedTabChanged = new core.EventEmitter();
            this.tabs = [];
            this.scrollBarWidths = 52;
            this.leftOffset = 0;
            this.firstVisibleTabIndex = -1;
            this.showLeftArrow = false;
            this.showRightArrow = false;
        }
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            setTimeout((/**
             * @return {?}
             */
            function () {
                if (_this.firstTabActive) {
                    _this.markFirstTabActive();
                }
                if (_this.scrollToActive) {
                    _this.scrollToActiveTab();
                }
                _this.redrawTabs();
                _this.changeDetector.detectChanges();
            }), 0);
        };
        /**
         * @param {?} tab
         * @return {?}
         */
        ScrollingTabsComponent.prototype.addTab = /**
         * @param {?} tab
         * @return {?}
         */
        function (tab) {
            this.tabs.push(tab);
        };
        /**
         * @param {?} tab
         * @return {?}
         */
        ScrollingTabsComponent.prototype.removeTab = /**
         * @param {?} tab
         * @return {?}
         */
        function (tab) {
            /** @type {?} */
            var index = this.tabs.indexOf(tab);
            if (index !== -1) {
                this.tabs.splice(index, 1);
            }
        };
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.clickInsideComponent = /**
         * @return {?}
         */
        function () {
            this.redrawTabs();
        };
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.redrawTabs = /**
         * @return {?}
         */
        function () {
            // Take the total width of the list. Subtract how far right we are and see if that is greater than the
            // width of the current display
            if (this.widthOfList() + this.leftOffset > this.navWrapper.nativeElement.offsetWidth) {
                this.showRightArrow = true;
            }
            else {
                this.showRightArrow = false;
            }
            if (this.leftOffset < 0) {
                this.showLeftArrow = true;
            }
            else {
                this.showLeftArrow = false;
            }
        };
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.widthOfList = /**
         * @return {?}
         */
        function () {
            var e_1, _a;
            /** @type {?} */
            var totalWidth = 0;
            try {
                for (var _b = __values(this.tabList.nativeElement.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var li = _c.value;
                    totalWidth += li.offsetWidth;
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return totalWidth;
        };
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.onScrollerLeftClick = /**
         * @return {?}
         */
        function () {
            // we need to go left for the width of the previous tab
            this.firstVisibleTabIndex--;
            // when moving left the left offset increases
            this.leftOffset += this.tabList.nativeElement.children[this.firstVisibleTabIndex].offsetWidth;
            this.redrawTabs();
        };
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.onScrollerRightClick = /**
         * @return {?}
         */
        function () {
            // when moving right you descrease the left offset. We want to go right the length of the current tab
            this.leftOffset -= this.tabList.nativeElement.children[this.firstVisibleTabIndex].offsetWidth;
            // change the index of the visible tab now that we have moved
            this.firstVisibleTabIndex++;
            this.redrawTabs();
        };
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.markFirstTabActive = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var activeTab = this.tabs.find((/**
             * @param {?} t
             * @return {?}
             */
            function (t) { return t.active; }));
            //  if there is no active tab and we have tabs set first one to active
            if (!activeTab && this.tabs.length > 0) {
                this.tabs[0].active = true;
            }
        };
        /**
         * @return {?}
         */
        ScrollingTabsComponent.prototype.scrollToActiveTab = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var activeTab = this.tabs.findIndex((/**
             * @param {?} t
             * @return {?}
             */
            function (t) { return t.active; }));
            this.firstVisibleTabIndex = activeTab;
            // change the view to set the active tab as first tab on the left
            for (var i = 0; i < activeTab; i++) {
                this.leftOffset -= this.tabList.nativeElement.children[i].offsetWidth;
            }
        };
        /**
         * @param {?} tab
         * @return {?}
         */
        ScrollingTabsComponent.prototype.onSelectedTabChanged = /**
         * @param {?} tab
         * @return {?}
         */
        function (tab) {
            var e_2, _a;
            try {
                for (var _b = __values(this.tabs), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var t = _c.value;
                    t.active = false;
                    if (t.id === tab.id) {
                        t.active = true;
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
            this.selectedTabChanged.emit(tab);
        };
        ScrollingTabsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngc-scrolling-tabs',
                        template: "<div class=\"wrap-selector\">\n    <div class=\"nav-tabs-boxed\">\n        <div class=\"scroller scroller-left\" (click)=\"onScrollerLeftClick()\" *ngIf=\"showLeftArrow\">\n            <svg class=\"arrow-img\" xmlns=\"http://www.w3.org/2000/svg\" version=\"1.0\" width=\"157.000000pt\" height=\"263.000000pt\"\n                viewBox=\"0 0 157.000000 263.000000\" preserveAspectRatio=\"xMidYMid meet\">\n                <g transform=\"translate(0.000000,263.000000) scale(0.100000,-0.100000)\" fill=\"currentColor\" stroke=\"none\">\n                    <path d=\"M653 1967 l-603 -602 0 -45 0 -45 603 -602 c710 -711 628 -655 764 -520 79 79 83 85 83 127 l0 45 -497 497 -498 498 498 498 497 497 0 45 c0 42 -4 48 -83 127 -136 135 -54 191 -764 -520z\" />\n                </g>\n            </svg>\n        </div>\n        <div class=\"scroller scroller-right\" (click)=\"onScrollerRightClick()\" *ngIf=\"showRightArrow\">\n            <svg class=\"arrow-img\" xmlns=\"http://www.w3.org/2000/svg\" version=\"1.0\" width=\"157.000000pt\" height=\"263.000000pt\"\n                viewBox=\"0 0 157.000000 263.000000\" preserveAspectRatio=\"xMidYMid meet\">\n                <g transform=\"translate(0.000000,263.000000) scale(0.100000,-0.100000)\" fill=\"currentColor\" stroke=\"none\">\n                    <path d=\"M153 2477 c-79 -79 -83 -85 -83 -127 l0 -45 497 -497 498 -498 -498 -498 -497 -497 0 -45 c0 -42 4 -48 83 -127 136 -135 54 -191 764 520 l603 602 0 45 0 45 -603 602 c-710 711 -628 655 -764 520z\" />\n                </g>\n            </svg>\n        </div>\n        <div class=\"nav-wrapper\" #navWrapper>\n            <ul class=\"nav nav-tabs list\" role=\"tablist\" #tabList [style.left.px]=\"leftOffset\">\n                <li *ngFor=\"let tab of tabs\" class=\"nav-item\">\n                    <a [ngClass]=\"tab.getTabClasses()\" data-toggle=\"tab\" href=\"#{{tab.id}}\" role=\"tab\"\n                        attr.aria-controls=\"{{tab.title}}\" (click)=\"onSelectedTabChanged(tab)\">{{tab.title}}</a>\n                </li>\n            </ul>\n        </div>\n        <div class=\"tab-content\">\n            <ng-content></ng-content>\n        </div>\n    </div>\n</div>",
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        styles: [".nav-wrapper{position:relative;margin:0 auto;overflow:hidden;padding:5px;height:38px}.nav-tabs{height:38px}.nav-link{margin-left:1px}.list{position:absolute;left:0;top:0;min-width:3000px;margin-top:0}.list li{display:table-cell;position:relative;text-align:center;cursor:grab;cursor:-webkit-grab;color:#efefef;vertical-align:middle}.scroller{text-align:center;cursor:pointer;padding:11px 7px 7px;white-space:no-wrap;vertical-align:middle}.scroller-right{float:right}.scroller-left{float:left}.arrow-img{height:20px;width:15px}.arrow-img:hover{opacity:.5}"]
                    }] }
        ];
        /** @nocollapse */
        ScrollingTabsComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef }
        ]; };
        ScrollingTabsComponent.propDecorators = {
            navWrapper: [{ type: core.ViewChild, args: ['navWrapper', { static: false },] }],
            tabList: [{ type: core.ViewChild, args: ['tabList', { static: false },] }],
            firstTabActive: [{ type: core.Input }],
            scrollToActive: [{ type: core.Input }],
            selectedTabChanged: [{ type: core.Output }],
            clickInsideComponent: [{ type: core.HostListener, args: ['window:resize',] }]
        };
        return ScrollingTabsComponent;
    }());
    if (false) {
        /** @type {?} */
        ScrollingTabsComponent.prototype.navWrapper;
        /** @type {?} */
        ScrollingTabsComponent.prototype.tabList;
        /** @type {?} */
        ScrollingTabsComponent.prototype.firstTabActive;
        /** @type {?} */
        ScrollingTabsComponent.prototype.scrollToActive;
        /** @type {?} */
        ScrollingTabsComponent.prototype.selectedTabChanged;
        /** @type {?} */
        ScrollingTabsComponent.prototype.tabs;
        /** @type {?} */
        ScrollingTabsComponent.prototype.scrollBarWidths;
        /** @type {?} */
        ScrollingTabsComponent.prototype.leftOffset;
        /** @type {?} */
        ScrollingTabsComponent.prototype.firstVisibleTabIndex;
        /** @type {?} */
        ScrollingTabsComponent.prototype.showLeftArrow;
        /** @type {?} */
        ScrollingTabsComponent.prototype.showRightArrow;
        /** @type {?} */
        ScrollingTabsComponent.prototype.changeDetector;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/scrolling-tab.directive.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ScrollingTabDirective = /** @class */ (function () {
        function ScrollingTabDirective(tabs, elementRef, renderer) {
            this.tabs = tabs;
            this.elementRef = elementRef;
            this.renderer = renderer;
            this.active = false;
        }
        /**
         * @return {?}
         */
        ScrollingTabDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.tabs.addTab(this);
            this.renderer.addClass(this.elementRef.nativeElement, 'tab-pane');
            this.renderer.setAttribute(this.elementRef.nativeElement, 'role', 'tabpanel');
        };
        /**
         * @return {?}
         */
        ScrollingTabDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.tabs.removeTab(this);
        };
        /**
         * @return {?}
         */
        ScrollingTabDirective.prototype.getTabClasses = /**
         * @return {?}
         */
        function () {
            return {
                'nav-link': true,
                active: this.active
            };
        };
        ScrollingTabDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[ngcScrollingTab], ngcScrollingTab'
                    },] }
        ];
        /** @nocollapse */
        ScrollingTabDirective.ctorParameters = function () { return [
            { type: ScrollingTabsComponent },
            { type: core.ElementRef },
            { type: core.Renderer2 }
        ]; };
        ScrollingTabDirective.propDecorators = {
            id: [{ type: core.Input }],
            title: [{ type: core.Input }],
            active: [{ type: core.HostBinding, args: ['class.active',] }, { type: core.Input }]
        };
        return ScrollingTabDirective;
    }());
    if (false) {
        /** @type {?} */
        ScrollingTabDirective.prototype.id;
        /** @type {?} */
        ScrollingTabDirective.prototype.title;
        /** @type {?} */
        ScrollingTabDirective.prototype.active;
        /**
         * @type {?}
         * @private
         */
        ScrollingTabDirective.prototype.tabs;
        /**
         * @type {?}
         * @private
         */
        ScrollingTabDirective.prototype.elementRef;
        /**
         * @type {?}
         * @private
         */
        ScrollingTabDirective.prototype.renderer;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/scrolling-tabs.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ScrollingTabsModule = /** @class */ (function () {
        function ScrollingTabsModule() {
        }
        ScrollingTabsModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [ScrollingTabsComponent, ScrollingTabDirective],
                        exports: [ScrollingTabsComponent, ScrollingTabDirective]
                    },] }
        ];
        return ScrollingTabsModule;
    }());

    exports.ScrollingTabsComponent = ScrollingTabsComponent;
    exports.ScrollingTabsModule = ScrollingTabsModule;
    exports.ɵa = ScrollingTabDirective;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngc-scrolling-tabs.umd.js.map
